#include <iostream>
#define MaxN 200000

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[MaxN];
    for(int i=1; i<=n; i++)
        cin>>a[i];
    int Q;
    cin>>Q;
    int l[Q], r[Q], t[Q]{};
    for(int i=0; i<Q; i++)
    {
        cin>>l[i]>>r[i];
        for(int j=l[i]; j<=r[i]; j++)
        {
            if(a[j]>a[j+1])
            {
                t[i]++;
                
            }
        }
        if(l[i]==r[i])
            t[i]=0;
    }
    for(int i=0; i<Q; i++)
    {
        if(t[i]==0)
            cout<<"DA"<<endl;
        else if(t[i]>=2)
            cout<<"NE"<<endl;
        else
        {
            
        }
    }
}